document.addEventListener('DOMContentLoaded', () => {
  // Smooth scrolling for navigation links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Form submission handler
  const contactForm = document.querySelector('.contact-form');
  if (contactForm) {
    contactForm.addEventListener('submit', (e) => {
      e.preventDefault();
      // Add form submission logic here
      alert('Thank you for your interest! We will contact you soon.');
      contactForm.reset();
    });
  }

  // Design tool functionality
  const designButton = document.querySelector('.design-button');
  if (designButton) {
    designButton.addEventListener('click', (e) => {
      e.preventDefault();
      const style = document.getElementById('kitchen-style').value;
      // Add design visualization logic here
      alert(`Visualizing ${style} style kitchen...`);
    });
  }

  // Intersection Observer for animation
  const observer = new IntersectionObserver((entries) => {
    entries.forEach(entry => {
      if (entry.isIntersecting) {
        entry.target.classList.add('visible');
      }
    });
  });

  // Observe all feature cards
  document.querySelectorAll('.feature-card').forEach((card) => {
    observer.observe(card);
  });
});